package com.zhongshu.reward.client.model;

import com.zhongshu.reward.client.type.ReceiptsStatus;
import com.zhongshu.reward.client.type.ReceiptsType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/12
 */
@Data
public class VipUserModel {

    @ApiModelProperty("金额")
    private BigDecimal total = BigDecimal.ZERO;

    @ApiModelProperty("到账类型")
    private ReceiptsType receiptsType;

    @ApiModelProperty("状态")
    private ReceiptsStatus status;

    @ApiModelProperty("预计到账时间")
    private Long estimatedTime;

    @ApiModelProperty("实际到账时间")
    private Long receiptsTime;

    @ApiModelProperty("注册时间")
    private Long registerTime;

    @ApiModelProperty("会员等级")
    private String planningId;

    @ApiModelProperty("套餐名称")
    private String planningName;

    @ApiModelProperty("订购时间")
    private Long operateTime;

    @ApiModelProperty("电话")
    private String phone;

//    @ApiModelProperty("套餐")
//    private String saleModalId;

}
