package com.zhongshu.reward.client.model.wechat;

import lombok.Data;

/**
 *
 */
@Data
public class WechatPhoneNumber {

    /**
     * 用户绑定的手机号（国外手机号会有区号）
     */
    private String phoneNumber;

    /**
     * 没有区号的手机号
     */
    private String purePhoneNumber;

    /**
     * 区号
     */
    private String countryCode;

    /**
     * 数据水印
     */
    private Watermark watermark;

    @Data
    static class Watermark {
        /**
         * 用户获取手机号操作的时间戳
         */
        private Integer timestamp;

        /**
         * 小程序appid
         */
        private String appid;
    }
}
